using System;
using System.Data;
using System.Globalization;
using System.Resources;
using System.Threading;
/****************************************************************************************************************************
* Project Name    : TimeCheck                                         Started Date  : 12-Aug-2007
* Module          : Generic Master                                    Last Modified : 04-Aug-2007
* Programmer      : Arun Vinoth.T
* Current Storage : \\Angler56\Projects\Inprogress\SCREEN1206\code\Time_AttendanceApp
* BackUp          :
****************************************************************************************************************************/
public partial class Masters_TA_UI_Master_GradeView : Base.BasePage
{
    #region "Variable Declaration"
    ResourceManager rm;
    CultureInfo ci;
    GenericEventdata objGeneric = new GenericEventdata();
    int GradeID, EmpId;
    Cls_CheckUser objCheckUser = new Cls_CheckUser();
    cls_Common objcommon = new cls_Common();
    DataSet ds_Checkuser = new DataSet();
    string gstrUserGroupName = string.Empty;
    #endregion
    #region PageLoad
    protected override void Page_Load(object sender, EventArgs e)
    {
        // session checking
        base.Page_Load(sender, e);
        //get the culture info to set the language
        string source_Language;
        source_Language = Convert.ToString(Session["Session_ActiveLanguage"]);
        rm = new ResourceManager(source_Language, System.Reflection.Assembly.Load("App_GlobalResources"));
        ci = Thread.CurrentThread.CurrentCulture;
        LoadStrings(ci);
        EmpId = Convert.ToInt32(Session["EmpAutoID"].ToString());
        //Set UserRights
        UserRights();
        loadcss();
        btn_Delete.Attributes.Add("onclick", "return confirm('" + rm.GetString("Alert_ConfirmDelete", ci) + "')");
        GradeID = Convert.ToInt16(Request.QueryString["Id"]);
        gstrUserGroupName = Convert.ToString(Session["UserGroupName"]);
        if (gstrUserGroupName != "SuperAdmin")
        {
            lbl_DeleteStatus_Main.Visible = false;
            lbl_DeleteStatus.Visible = false;
            btn_Restore.Visible = false;
            btn_PermanentDelete.Visible = false;
        }
        DataSet ds = new DataSet();
        ds = objGeneric.Getgrade(GradeID, gstrUserGroupName);
        if (ds.Tables.Count > 0)
        {
            if (ds.Tables[0].Rows.Count > 0)
            {
                lbl_GradeName.Text = ds.Tables[0].Rows[0]["Grade_Name"].ToString();
                lbl_GradeLevel.Text = ds.Tables[0].Rows[0]["Grade_Level"].ToString();
                lbl_DeleteStatus.Text = ds.Tables[0].Rows[0]["Isdeleted"].ToString();
                if (lbl_DeleteStatus.Text == "True" || lbl_DeleteStatus.Text == rm.GetString("Grid_True", ci))
                {
                    btn_Delete.Visible = false;
                }
                else if (lbl_DeleteStatus.Text == "False" || lbl_DeleteStatus.Text == rm.GetString("Grid_False", ci))
                {
                    btn_Restore.Visible = false;
                }
                if (lbl_DeleteStatus.Text == "True")
                {
                    lbl_DeleteStatus.Text = rm.GetString("Grid_True", ci);
                }
                else if (lbl_DeleteStatus.Text == "False")
                {
                    lbl_DeleteStatus.Text = rm.GetString("Grid_False", ci);
                }
            }
        }
        ds.Dispose();
        if (!IsPostBack)
        {
            objcommon.menu("EmployeeMaster", "228");
            btn_Restore.OnClientClick = "return confirm('" + rm.GetString("Alert_Areyousuretorestore", ci) + "')";
            btn_PermanentDelete.OnClientClick = "return confirm('" + rm.GetString("Alert_AreyouwantDeleteRecordPermanently", ci) + "')";
        }
        int count = objGeneric.CountGrade(GradeID);
        if (count > 0)
        {
            btn_Delete.Enabled = false;
            btn_PermanentDelete.Enabled = false;
        }
    }
    #endregion
    #region ButtonEvents
    protected void btn_Modify_Click(object sender, EventArgs e)
    {
        Response.Redirect("TA_UI_Master_GradeModify.aspx?Id=" + GradeID);
    }
    protected void btn_Delete_Click(object sender, EventArgs e)
    {
        int count = objGeneric.CountGrade(GradeID);
        if (count > 0)
        {
            base.Message(rm.GetString("Message_Grade_Cannot_Deleted", ci));
            return;
        }
        else
        {
            objGeneric.TemporaryDeleteGrade(GradeID.ToString(), EmpId);
            base.MessageWithRedirect(rm.GetString("Alert_Gradedeletedsuccessfully", ci), "TA_UI_Master_GradeList.aspx");
        }
    }
    protected void btn_Cancel_Click(object sender, EventArgs e)
    {
        Response.Redirect("TA_UI_Master_GradeList.aspx");
    }
    protected void btn_Restore_Click(object sender, EventArgs e)
    {
        int Count = objGeneric.CheckGradeName_Update(GradeID);
        if (Count > 0)
        {
            base.Message(rm.GetString("Message_Cannot_Restore", ci));
            return;
        }
        else
        {
            objGeneric.RestoreGrade(GradeID.ToString(), EmpId);
            base.MessageWithRedirect(rm.GetString("Alert_Graderestoredsuccessfully", ci), "TA_UI_Master_GradeList.aspx");
        }
    }
    protected void btn_PermanentDelete_Click(object sender, EventArgs e)
    {
        int count = objGeneric.CountGrade(GradeID);
        if (count > 0)
        {
            base.Message(rm.GetString("Message_Grade_Cannot_Deleted", ci));
            return;
        }
        else
        {
            objGeneric.PermanentDeleteGrade(GradeID.ToString(), EmpId);
            base.MessageWithRedirect(rm.GetString("Alert_Gradedeletedsuccessfully", ci), "TA_UI_Master_GradeList.aspx");
        }
    }
    #endregion
    #region UserDefinedFunctions
    //Getting Information from resource file and display it in label
    private void LoadStrings(CultureInfo ci)
    {
        lbl_GradeName1.Text = rm.GetString("Grade_GradeName", ci);
        lbl_GradeLevel1.Text = rm.GetString("Grade_GradeLevel", ci);
        lbl_HeaderGrade.Text = rm.GetString("Masters_Generic_Grade", ci);
        btn_Modify.Text = rm.GetString("btn_Modify", ci);
        btn_Delete.Text = "&nbsp;&nbsp;" + rm.GetString("btn_Delete", ci);
        btn_Cancel.Text = "&nbsp;&nbsp;" + rm.GetString("btn_Back", ci);
        btn_Restore.Text = "&nbsp;&nbsp;" + rm.GetString("btn_Restore", ci);
        btn_PermanentDelete.Text = "&nbsp;&nbsp;" + rm.GetString("btn_PermanentDelete", ci);
        lbl_DeleteStatus_Main.Text = rm.GetString("DeleteStatus", ci);
    }
    private void UserRights()
    {
        ds_Checkuser = objCheckUser.checkRights(228, Convert.ToInt32(Session["userGroup_Id"]), "");
        if (ds_Checkuser.Tables[0].Rows.Count > 0)
        {
            if (ds_Checkuser.Tables[0].Rows[0]["viewPrv"] == DBNull.Value || Convert.ToInt32(ds_Checkuser.Tables[0].Rows[0]["viewPrv"]) != 1)
            {
                Response.Redirect("TA_UI_Master_GradeList.aspx");
            }
            if (ds_Checkuser.Tables[0].Rows[0]["modifyPrv"] != DBNull.Value && Convert.ToInt32(ds_Checkuser.Tables[0].Rows[0]["modifyPrv"]) == 1)
            {
                this.btn_Modify.Visible = true;
            }
            else
            {
                this.btn_Modify.Visible = false;
            }
            if (ds_Checkuser.Tables[0].Rows[0]["deletePrv"] != DBNull.Value && Convert.ToInt32(ds_Checkuser.Tables[0].Rows[0]["deletePrv"]) == 1)
            {
                this.btn_Delete.Visible = true;
                this.btn_PermanentDelete.Visible = true;
                this.btn_Restore.Visible = true;
            }
            else
            {
                this.btn_Delete.Visible = false;
                this.btn_PermanentDelete.Visible = false;
                this.btn_Restore.Visible = false;
            }
        }
        else
        {
            Response.Redirect("MasterLandingPage.aspx");
        }
    }
    private void loadcss()
    {
        CultureInfo ci;
        string source_Language;
        source_Language = Convert.ToString(Session["Session_ActiveLanguage"]);
        rm = new ResourceManager(source_Language, System.Reflection.Assembly.Load("App_GlobalResources"));
        ci = Thread.CurrentThread.CurrentCulture;
        //if Standard Demo
        htmlGradeView.Attributes.Add("dir", rm.GetString("Direction", ci));
        if (source_Language == "Resources.Resource_AR")
        {
            stylebootstrap.Href = "../bootstrap/css/bootstrap-rtl.min.css";
            stylefontawesome.Href = "../bootstrap/font-awesome/css/font-awesome-rtl.css";
            styleAdminLTE.Href = "../dist/css/AdminLTE.min-rtl.css";
            stylecustom.Href = "../dist/css/custom-rtl.css";
            stylefonts.Href = "../dist/css/fonts.css";
        }
        else
        {
            //htmlGradeView.Attributes.Add("dir", "rtl");
            //stylebootstrap.Href = "../bootstrap/css/bootstrap-rtl.min.css";
            //stylefontawesome.Href = "../bootstrap/font-awesome/css/font-awesome-rtl.css";
            //styleAdminLTE.Href = "../dist/css/AdminLTE.min-rtl.css";
            //stylecustom.Href = "../dist/css/custom-rtl.css";
            //stylefonts.Href = "../dist/css/fonts.css";
            stylebootstrap.Href = "../bootstrap/css/bootstrap.min.css";
            stylefontawesome.Href = "../bootstrap/font-awesome/css/font-awesome.css";
            styleAdminLTE.Href = "../dist/css/AdminLTE.min.css";
            stylecustom.Href = "../dist/css/custom.css";
            stylefonts.Href = "../dist/css/fonts.css";
        }
    }
    #endregion
}
